Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2014-0240

CVE information

Published

8 years ago

Last Modified

4 years ago

CVSSv2.0 Severity

Medium

Impact Analysis

Description

The mod_wsgi module before 3.5 for Apache, when daemon mode is enabled, does not properly handle error codes returned by setuid when run on certain Linux kernels, which allows local users to gain privileges via vectors related to the number of running processes..

CVSSv2.0 Score

Severity
Medium
Base Score
6.2/10
Exploit Score
1.9/10
Access Vector
Local
Access Complexity
High
Authentication Required
None
Impact Score
10/10
Confidentiality Impact
Complete
Availability Impact
Complete
Integrity Impact
Complete

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:modwsgi:mod_wsgi:2.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:modwsgi:mod_wsgi:1.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:modwsgi:mod_wsgi:2.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:modwsgi:mod_wsgi:2.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:modwsgi:mod_wsgi:2.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:modwsgi:mod_wsgi:2.8:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:modwsgi:mod_wsgi:1.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:modwsgi:mod_wsgi:3.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:modwsgi:mod_wsgi:1.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:modwsgi:mod_wsgi:3.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:modwsgi:mod_wsgi:2.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:modwsgi:mod_wsgi:2.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:modwsgi:mod_wsgi:1.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:modwsgi:mod_wsgi:*:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:modwsgi:mod_wsgi:3.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:modwsgi:mod_wsgi:2.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:modwsgi:mod_wsgi:2.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:modwsgi:mod_wsgi:1.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:modwsgi:mod_wsgi:3.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:modwsgi:mod_wsgi:1.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:modwsgi:mod_wsgi:1.0:*:*:*:*:*:*:*
  Yes
- -